<sqtm-core-customisable-dialog
  [titleKey]="
    'sqtm-core.administration-workspace.requirements-link-types.edit-links-dialog.title'
  "
  [dialogId]="'edit-requirement-links'"
  (confirm)="confirm()"
>
  <sqtm-core-dialog-body>
    <div class="m-10" [formGroup]="formGroup">
      <div class="sqtm-core-dialog-form p-4">
        <label class="label label__align_right">{{
          'sqtm-core.entity.requirement.requirement-version.link.role1.label'
            | translate
        }}</label>
        <sqtm-core-text-field
          [initialFocus]="true"
          [formGroup]="formGroup"
          [fieldName]="'role1'"
        ></sqtm-core-text-field>
        <label class="label label__align_right">{{
          'sqtm-core.entity.requirement.requirement-version.link.role1-code.label'
            | translate
        }}</label>
        <sqtm-core-text-field
          [formGroup]="formGroup"
          [fieldName]="'role1Code'"
        ></sqtm-core-text-field>
        <label class="label label__align_right">{{
          'sqtm-core.entity.requirement.requirement-version.link.role2.label'
            | translate
        }}</label>
        <sqtm-core-text-field
          [formGroup]="formGroup"
          [fieldName]="'role2'"
        ></sqtm-core-text-field>
        <label class="label label__align_right">{{
          'sqtm-core.entity.requirement.requirement-version.link.role2-code.label'
            | translate
        }}</label>
        <sqtm-core-text-field
          [formGroup]="formGroup"
          [fieldName]="'role2Code'"
        ></sqtm-core-text-field>
      </div>
    </div>
    @if ($serverSideError()) {
      <div class="sqtm-core-error-message m-b-10">
        {{ $serverSideError() | translate: { code: $translatedErrorParams() } }}
      </div>
    }
  </sqtm-core-dialog-body>
</sqtm-core-customisable-dialog>
